import * as React from 'react';
import { TLanguage } from '@cainiaofe/cn-i18n';
import type { CnTableCellFormatProps } from '../types';
export declare function createProgressFormat(numAdapterLocale?: boolean | TLanguage): () => {
    align: string;
    cell(val: CnTableCellFormatProps<"normal" | "success" | "error" | undefined> | string | number): "" | React.JSX.Element;
};
